package netscape.applet;

public class AppletSecurityException extends SecurityException {
   public AppletSecurityException(String name) {
      super(getProperty(name));
      System.err.println("# Security Exception: " + name);
   }

   public AppletSecurityException(String name, String arg) {
      super(getProperty(name) + ": " + arg);
      System.err.println("# Security Exception: " + name + ":" + arg);
   }

   private static String getProperty(String name) {
      SecurityManager.setScopePermission();
      return System.getProperty("security." + name, "security." + name);
   }
}
