package netscape.applet;

import java.util.Vector;

class Mapping {
   Vector keys = new Vector();
   Vector values = new Vector();

   synchronized int size() {
      return this.keys.size();
   }

   synchronized Object keyAt(int index) {
      return this.keys.elementAt(index);
   }

   synchronized Object elementAt(int index) {
      return this.values.elementAt(index);
   }

   synchronized Object get(Object key) {
      int size = this.keys.size();

      for(int i = 0; i < size; ++i) {
         if (this.keys.elementAt(i).equals(key)) {
            return this.values.elementAt(i);
         }
      }

      return null;
   }

   synchronized Object put(Object key, Object value) {
      Object result = this.remove(key);
      this.keys.addElement(key);
      this.values.addElement(value);
      return result;
   }

   synchronized Object remove(Object key) {
      int size = this.keys.size();

      for(int i = 0; i < size; ++i) {
         if (this.keys.elementAt(i).equals(key)) {
            this.keys.removeElementAt(i);
            Object result = this.values.elementAt(i);
            this.values.removeElementAt(i);
            return result;
         }
      }

      return null;
   }

   synchronized boolean isEmpty() {
      return this.keys.isEmpty();
   }
}
