package netscape.applet;

class AppletThreadGroup extends ThreadGroup {
   EmbeddedAppletFrame viewer;

   AppletThreadGroup(String name, EmbeddedAppletFrame viewer) {
      super(name);
      this.viewer = viewer;
      SecurityManager.setScopePermission();
      ((ThreadGroup)this).setMaxPriority(6);
   }

   public void uncaughtException(Thread t, Throwable e) {
      if (!(e instanceof ThreadDeath)) {
         String message = e.getMessage();
         this.viewer.showAppletException(e, message);
         if (message != null) {
            this.viewer.showAppletStatus("Applet exception: " + message);
         } else {
            this.viewer.showAppletStatus("Applet exception: " + e.toString());
         }
      }
   }
}
