package netscape.applet;

import java.awt.Canvas;
import java.awt.Color;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.Graphics;

class HorizontalRule extends Canvas {
   Color dark = new Color(6710886);
   Color light = new Color(15658734);

   public Dimension preferredSize() {
      Dimension d = ((Component)this).getParent().size();
      d.height = 2;
      return d;
   }

   public void paint(Graphics g) {
      Dimension d = ((Component)this).size();
      g.setColor(this.dark);
      g.drawLine(0, 0, d.width - 1, 0);
      g.setColor(this.light);
      g.drawLine(0, 1, d.width - 1, 1);
   }
}
